mattjames_7
Posts: 1
Joined: Tue Jun 04, 2013 4:39 pm

Cant install gedit on raspbian

Tue Jun 04, 2013 4:46 pm

Hello, I have recently been playing around with my raspberry pi, just installed a fresh raspbian and was trying to install gedit but it comes up with issues with held broken packages.

So I have tried apt-get clean, apt-get update and apt-get upgrade.

And I have tried apt-get -f install.

Also I have updated the distro to it's latest packages but I still get no where with it.

This is the error I get.....
sudo apt-get install gedit
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
gedit : Depends: libpeas-1.0-0 (>= 1.1.0) but it is not going to be installed
Depends: gir1.2-peas-1.0 but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

It would be great if someone could help me out with this,
Thanks.

michael_wells_gr
Posts: 5
Joined: Fri Jun 07, 2013 6:59 pm

Re: Cant install gedit on raspbian

Fri Jun 07, 2013 7:03 pm

I encountered the same problem with a brand new clean installation of raspbian using the NOOB options. I had gedit installed on my previous raspian installation but the card stopped booting so I got a new card and while everything else was able to install ... gedit wouldn't. I guess it might mean that something broke in the raspbian package management system of apt-get and might resolve itself if we are patient.

sprinkmeier
Posts: 410
Joined: Mon Feb 04, 2013 10:48 am
Contact: Website

Re: Cant install gedit on raspbian

Fri Jun 07, 2013 10:52 pm

Did you

Code: Select all

sudo apt-get update
first?

[Edit: fixed stupid]

Thaddy
Posts: 174
Joined: Wed Mar 06, 2013 11:28 am

Re: Cant install gedit on raspbian

Sun Jun 09, 2013 9:40 am

When you get the message about missing packages try:

Code: Select all

sudo apt-get install -f
This will fix the dependencies after a failed install.

User avatar
duberry
Posts: 379
Joined: Mon Jan 28, 2013 10:44 pm
Location: standing on a planet that's evolving. And revolving at nine hundred miles an hour

Re: Cant install gedit on raspbian

Sun Jun 09, 2013 9:48 am

try scite editor ?
lend me your arms, fast as thunderbolts, for a pillow on my journey.
If the environment was a bank, would it be too big to fail
so long; and thanks for all the pi

BenTeo
Posts: 1
Joined: Fri Jun 14, 2013 10:05 am

Re: Cant install gedit on raspbian

Fri Jun 14, 2013 10:15 am

I have the exact same problem. I have tried different things. The problem seems to be with the package libwayland0.

The version 1.1.0-0rpi1 is installed and libegl1-mesa demands an older version, 0.85.0-2.

So i downgraded libwayland to 0.85.0-2, with the following command :
sudo apt-get install libwayland0=0.85.0-2

But by doing that you remove the package "weston".

Then i did :
sudo aptitude install gedit

gkreidl
Posts: 6221
Joined: Thu Jan 26, 2012 1:07 pm
Location: Germany

Re: Cant install gedit on raspbian

Fri Jun 14, 2013 4:26 pm

I have installed gedit and cannot install weston for the same reason.
Minimal Kiosk Browser (kweb)
Slim, fast webkit browser with support for audio+video+playlists+youtube+pdf+download
Optional fullscreen kiosk mode and command interface for embedded applications
Includes omxplayerGUI, an X front end for omxplayer

michael_wells_gr
Posts: 5
Joined: Fri Jun 07, 2013 6:59 pm

Problem Solved

Mon Jun 17, 2013 9:14 pm

I have gedit working now.

@ sprinKmeier Neither sudo apt-get update or sudo apt-get upgrade could resolve the problem.

@ Thaddy I hadn't thought about using the -f option for install but it didn't help either.

@ Ben Teo - Kudos to BenTeo for the solution. I downgraded as suggested libwayland0 to version0.85.0-2 and then I was able to sudo apt-get install gedit (And as noted by BenTeo, the Weston package which is a Wayland compositor meaning it draws graphics on our screen using the Wayland graphical libraries, was uninstalled.) How you determined the offending package would have been interesting knowledge for future reference?

Fortunately, I am not using Wayland nor Weston as far I as know so no harm done for my setup.

I guess package management systems are moving target systems which will always have non-resolvable dependencies at various times and with various packages which are constantly changing over time.

Michael Wells

itchytweed
Posts: 1
Joined: Wed Jun 26, 2013 11:27 am

Re: Cant install gedit on raspbian

Fri Jun 28, 2013 11:58 am

Did @Ben Teo's suggestion on Raspbian latest. Gedit now plays.
Frustrating these versioning issue are, hmmmmm?

a_saberi
Posts: 1
Joined: Thu Aug 22, 2013 4:02 pm

Re: Cant install gedit on raspbian

Thu Aug 22, 2013 4:11 pm

Hi everybody;
I have a question:
How did you reach to the point that libwayland0=0.85.0-2 is the problem [Actually it is]

I mean, when I enter the command
sudo apt-get install gedit
There is no name from libwayland0
Is there any extra command that reach to this name?
I am asking for the next similar problems.

Thanks :)
Alan

Return to “Troubleshooting”